Browse Source

* Upgrade pve-kernel-3.10.0-13-pve and pve-kernel-2.6.32-43 to the last version.

master
gardouille 4 years ago
parent
commit
26de6e1c99
3 changed files with 11 additions and 5 deletions
  1. +7
    -1
      CHANGELOG.md
  2. +2
    -2
      README.md
  3. +2
    -2
      manifests/params.pp

+ 7
- 1
CHANGELOG.md View File

@@ -1,6 +1,13 @@

---------------------------------------

### 0.2.4

##### Changes
* Upgrade pve-kernel-3.10.0-13-pve and pve-kernel-2.6.32-43 to the last version.

---------------------------------------

### 0.2.3 - 2015/06/01

##### Features
@@ -15,7 +22,6 @@
##### Bugfixes
* #14 The module no longer automatically reboot nodes after kernel upgrade, show a warning message instead.


---------------------------------------

### 0.2.2 - 2015/03/25


+ 2
- 2
README.md View File

@@ -193,8 +193,8 @@ proxmox::hypervisor::user { 'marvin':
* `ve_pkg_ensure`: What to set the Virtual Environnment package to. Can be 'present', 'absent' or 'version'. Defaults to 'present'.
* `ve_pkg_name`: The list of VirtualEnvironnment packages. Can be an array [ 'proxmox-ve-2.6.32', 'ksm-control-daemon', 'vzprocps', 'open-iscsi', 'bootlogd', 'pve-firmware' ].
* `kvm_only`: If set to 'true', Puppet will install a newer kernel compatible only with KVM. Accepts 'true' or 'false'. Defaults to 'false'.
* `kernel_kvm_pkg_name`: The list of packages to install the newer kernel. Can be an array [ 'pve-kernel-3.10.0-9-pve', '...' ].
* `kernel_pkg_name`: The list of packages to install a kernel compatible with both KVM and OpenVZ. Can be an array [ 'pve-kernel-2.6.32-39-pve', '...' ].
* `kernel_kvm_pkg_name`: The list of packages to install the newer kernel. Can be an array [ 'pve-kernel-3.10.0-13-pve', '...' ].
* `kernel_pkg_name`: The list of packages to install a kernel compatible with both KVM and OpenVZ. Can be an array [ 'pve-kernel-2.6.32-43-pve', '...' ].
* `rec_pkg_name`: The list of recommended and usefull packages for Proxmox. Can be an array [ 'ntp', 'ssh', 'lvm2', 'bridge-utils' ].
* `old_pkg_ensure`: What to set useless packages (non recommended, previous kernel, ...). Can be 'present' or 'absent'. Defaults to 'absent'.
* `old_pkg_name`: The list of useless packages. Can be an array [ 'acpid', 'linux-image-amd64', 'linux-base', 'linux-image-3.2.0-4-amd64' ].


+ 2
- 2
manifests/params.pp View File

@@ -10,8 +10,8 @@ class proxmox::params {

# PVE Kernel
$kvm_only = false
$kernel_kvm_pkg_name = [ 'pve-kernel-3.10.0-9-pve' ]
$kernel_pkg_name = [ 'pve-kernel-2.6.32-39' ]
$kernel_kvm_pkg_name = [ 'pve-kernel-3.10.0-13-pve' ]
$kernel_pkg_name = [ 'pve-kernel-2.6.32-43' ]

# Recommended packages
$rec_pkg_name = [ 'ntp', 'ssh', 'lvm2', 'bridge-utils' ]


Loading…
Cancel
Save